# Change Log

## 2.0.4

### Patch Changes

- Updated dependencies
  [[`c11743b47`](https://github.com/teste-ui/teste-ui/commit/c11743b47f38f8f38a21b120add3a9cf765b81ee)]:
  - @teste-ui/utils@2.0.4
  - @teste-ui/counter@2.0.4
  - @teste-ui/form-control@2.0.4
  - @teste-ui/hooks@2.0.4
  - @teste-ui/icon@3.0.4

## 2.0.3

### Patch Changes

- [#6281](https://github.com/teste-ui/teste-ui/pull/6281)
  [`8bfeefbb5`](https://github.com/teste-ui/teste-ui/commit/8bfeefbb562fc5ada4757309db6b951c421342ad)
  Thanks [@ShumRain](https://github.com/ShumRain)! - Export `useStyles`
  equivalent for multipart component styles. Accordion exports
  `useAccordionStyles`, Alert exports `useAlertStyles`, and so on.
- Updated dependencies
  [[`8bfeefbb5`](https://github.com/teste-ui/teste-ui/commit/8bfeefbb562fc5ada4757309db6b951c421342ad),
  [`36ef37d58`](https://github.com/teste-ui/teste-ui/commit/36ef37d58220dffc4b8e35c31fdcc57042e9a859),
  [`6c15ec2c2`](https://github.com/teste-ui/teste-ui/commit/6c15ec2c2a32a36ecc2d169308379a6825619543)]:
  - @teste-ui/form-control@2.0.3
  - @teste-ui/utils@2.0.3
  - @teste-ui/counter@2.0.3
  - @teste-ui/hooks@2.0.3
  - @teste-ui/icon@3.0.3

## 2.0.2

### Patch Changes

- [`06f29f8cd`](https://github.com/teste-ui/teste-ui/commit/06f29f8cdbb10ff1da523e0d0e958b9990d041e1)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Bump all packages
  to resolve deps issues

* [#6137](https://github.com/teste-ui/teste-ui/pull/6137)
  [`7de782f04`](https://github.com/teste-ui/teste-ui/commit/7de782f0485656a6d10099339da509084cb3ee88)
  Thanks [@Patrick-Ullrich](https://github.com/Patrick-Ullrich)! - Improve error
  messaging around style provider factory by creating a custom
  `createStylesContext` function.
* Updated dependencies
  [[`06f29f8cd`](https://github.com/teste-ui/teste-ui/commit/06f29f8cdbb10ff1da523e0d0e958b9990d041e1),
  [`7de782f04`](https://github.com/teste-ui/teste-ui/commit/7de782f0485656a6d10099339da509084cb3ee88)]:
  - @teste-ui/counter@2.0.2
  - @teste-ui/form-control@2.0.2
  - @teste-ui/hooks@2.0.2
  - @teste-ui/icon@3.0.2
  - @teste-ui/react-utils@2.0.1
  - @teste-ui/utils@2.0.2

## 2.0.1

### Patch Changes

- Updated dependencies
  [[`f77e3c98f`](https://github.com/teste-ui/teste-ui/commit/f77e3c98f72fa17353e9fdad4c51810e83d9cb1c)]:
  - @teste-ui/utils@2.0.1
  - @teste-ui/counter@2.0.1
  - @teste-ui/form-control@2.0.1
  - @teste-ui/hooks@2.0.1
  - @teste-ui/icon@3.0.1

## 2.0.0

### Major Changes

- [#5879](https://github.com/teste-ui/teste-ui/pull/5879)
  [`c390af485`](https://github.com/teste-ui/teste-ui/commit/c390af4859bcbcf12c982c677492cd6d4960889f)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bump all packages
  to next major for Chakra UI version 2.

* [#5989](https://github.com/teste-ui/teste-ui/pull/5989)
  [`ed692c0ae`](https://github.com/teste-ui/teste-ui/commit/ed692c0ae670bcac92b3da50d141afc6e233dee7)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Omit `src`
  directory from being published to npm

- [#5828](https://github.com/teste-ui/teste-ui/pull/5828)
  [`1a47fd27e`](https://github.com/teste-ui/teste-ui/commit/1a47fd27e6e37ff5d149e0469888eed0ec306632)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - ### Remove
  deprecations

  **Affected components or packages:**

  **Button, Icon Button, Input, NumberInput, Radio, Checkbox, Select**

  - Removed the `isFullWidth` deprecation. Use `width=full` or `width=100%`

  **Checkbox**

  - Removed `defaultIsChecked`. Use `defaultChecked`

  **Color mode**

  - Removed references to `--teste-ui-color-mode`. Use `data-theme` property
    instead

  **Hooks**

  - Removed `useEventCallback` hook

  **Input / NumberInput**

  - Removed the `isFullWidth` deprecation. Use `width=full` or `width=100%`

  **Grid**

  - Removed the `area` prop from `Grid` component. Should be passed to the
    `GridItem` instead.

  **Styled system**

  - Removed the `d` style prop. Use `display` instead.
  - Removed the `isTruncated` style prop. Use `noOfLines={1}` instead.

  **Theme**

  - Removed deprecated types.

* [#5882](https://github.com/teste-ui/teste-ui/pull/5882)
  [`41b3119f5`](https://github.com/teste-ui/teste-ui/commit/41b3119f59226f7c70942d6fd0f46480f9bcf196)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bump peer
  dependency to React and ReactDOM to >=18

### Patch Changes

- Updated dependencies
  [[`c390af485`](https://github.com/teste-ui/teste-ui/commit/c390af4859bcbcf12c982c677492cd6d4960889f),
  [`ed692c0ae`](https://github.com/teste-ui/teste-ui/commit/ed692c0ae670bcac92b3da50d141afc6e233dee7),
  [`1a47fd27e`](https://github.com/teste-ui/teste-ui/commit/1a47fd27e6e37ff5d149e0469888eed0ec306632),
  [`8991ac13e`](https://github.com/teste-ui/teste-ui/commit/8991ac13e5ec71cc1fbd09610981913b7efe9798),
  [`41b3119f5`](https://github.com/teste-ui/teste-ui/commit/41b3119f59226f7c70942d6fd0f46480f9bcf196),
  [`d32aea176`](https://github.com/teste-ui/teste-ui/commit/d32aea176b66b4d5206df10530c011f8eaa2e42d)]:
  - @teste-ui/counter@2.0.0
  - @teste-ui/form-control@2.0.0
  - @teste-ui/hooks@2.0.0
  - @teste-ui/icon@3.0.0
  - @teste-ui/react-utils@2.0.0
  - @teste-ui/utils@2.0.0

## 2.0.0-next.3

### Major Changes

- [#5989](https://github.com/teste-ui/teste-ui/pull/5989)
  [`ed692c0ae`](https://github.com/teste-ui/teste-ui/commit/ed692c0ae670bcac92b3da50d141afc6e233dee7)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Omit `src`
  directory from being published to npm

### Patch Changes

- Updated dependencies
  [[`ed692c0ae`](https://github.com/teste-ui/teste-ui/commit/ed692c0ae670bcac92b3da50d141afc6e233dee7)]:
  - @teste-ui/counter@2.0.0-next.3
  - @teste-ui/form-control@2.0.0-next.3
  - @teste-ui/hooks@2.0.0-next.3
  - @teste-ui/icon@3.0.0-next.2
  - @teste-ui/react-utils@2.0.0-next.2
  - @teste-ui/utils@2.0.0-next.2

## 2.0.0-next.2

### Patch Changes

- Updated dependencies
  [[`8991ac13e`](https://github.com/teste-ui/teste-ui/commit/8991ac13e5ec71cc1fbd09610981913b7efe9798),
  [`d32aea176`](https://github.com/teste-ui/teste-ui/commit/d32aea176b66b4d5206df10530c011f8eaa2e42d)]:
  - @teste-ui/hooks@2.0.0-next.2
  - @teste-ui/counter@2.0.0-next.2
  - @teste-ui/form-control@2.0.0-next.2

## 2.0.0-next.1

### Major Changes

- [#5882](https://github.com/teste-ui/teste-ui/pull/5882)
  [`41b3119f5`](https://github.com/teste-ui/teste-ui/commit/41b3119f59226f7c70942d6fd0f46480f9bcf196)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bump peer
  depencency to React and ReactDOM to >=18

### Patch Changes

- Updated dependencies
  [[`41b3119f5`](https://github.com/teste-ui/teste-ui/commit/41b3119f59226f7c70942d6fd0f46480f9bcf196)]:
  - @teste-ui/counter@2.0.0-next.1
  - @teste-ui/form-control@2.0.0-next.1
  - @teste-ui/hooks@2.0.0-next.1
  - @teste-ui/icon@3.0.0-next.1
  - @teste-ui/react-utils@2.0.0-next.1
  - @teste-ui/utils@2.0.0-next.1

## 2.0.0-next.0

### Major Changes

- [#5879](https://github.com/teste-ui/teste-ui/pull/5879)
  [`c390af485`](https://github.com/teste-ui/teste-ui/commit/c390af4859bcbcf12c982c677492cd6d4960889f)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bump all packages
  to next major for Chakra UI version 2.

* [#5828](https://github.com/teste-ui/teste-ui/pull/5828)
  [`1a47fd27e`](https://github.com/teste-ui/teste-ui/commit/1a47fd27e6e37ff5d149e0469888eed0ec306632)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - ### Remove
  deprecations

  **Affected components or packages:**

  **Button, Icon Button, Input, NumberInput, Radio, Checkbox, Select**

  - Removed the `isFullWidth` deprecation. Use `width=full` or `width=100%`

  **Checkbox**

  - Removed `defaultIsChecked`. Use `defaultChecked`

  **Color mode**

  - Removed references to `--teste-ui-color-mode`. Use `data-theme` property
    instead

  **Hooks**

  - Removed `useEventCallback` hook

  **Input / NumberInput**

  - Removed the `isFullWidth` deprecation. Use `width=full` or `width=100%`

  **Grid**

  - Removed the `area` prop from `Grid` component. Should be passed to the
    `GridItem` instead.

  **Styled system**

  - Removed the `d` style prop. Use `display` instead.
  - Removed the `isTruncated` style prop. Use `noOfLines={1}` instead.

  **Theme**

  - Removed deprecated types.

### Patch Changes

- Updated dependencies
  [[`c390af485`](https://github.com/teste-ui/teste-ui/commit/c390af4859bcbcf12c982c677492cd6d4960889f),
  [`1a47fd27e`](https://github.com/teste-ui/teste-ui/commit/1a47fd27e6e37ff5d149e0469888eed0ec306632)]:
  - @teste-ui/counter@2.0.0-next.0
  - @teste-ui/form-control@2.0.0-next.0
  - @teste-ui/hooks@2.0.0-next.0
  - @teste-ui/icon@3.0.0-next.0
  - @teste-ui/react-utils@2.0.0-next.0
  - @teste-ui/system@2.0.0-next.0
  - @teste-ui/utils@2.0.0-next.0

## 1.4.7

### Patch Changes

- Updated dependencies
  [[`56b7e198b`](https://github.com/teste-ui/teste-ui/commit/56b7e198bf1b0b507da0976aef80f600ae7efeb0),
  [`a3b04dc1a`](https://github.com/teste-ui/teste-ui/commit/a3b04dc1ae49ad0d804bddc17fdca3afa218665c)]:
  - @teste-ui/form-control@1.6.0
  - @teste-ui/hooks@1.9.1
  - @teste-ui/counter@1.2.10

## 1.4.6

### Patch Changes

- Updated dependencies
  [[`73a06ae8c`](https://github.com/teste-ui/teste-ui/commit/73a06ae8ce1bee644e10f245edcf2f9f2b773964)]:
  - @teste-ui/hooks@1.9.0
  - @teste-ui/counter@1.2.9
  - @teste-ui/form-control@1.5.10

## 1.4.5

### Patch Changes

- Updated dependencies
  [[`5cd5cff35`](https://github.com/teste-ui/teste-ui/commit/5cd5cff35e4837539d83a2157a07585d461b0aac)]:
  - @teste-ui/hooks@1.8.5
  - @teste-ui/counter@1.2.8
  - @teste-ui/form-control@1.5.9

## 1.4.4

### Patch Changes

- [`e1fe48cbe`](https://github.com/teste-ui/teste-ui/commit/e1fe48cbe37324744cfe6184d785c093cda1125e)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bumped patch
  version for every package to fix release process. Root cause was a bug in our
  CI configuration.
- Updated dependencies
  [[`e1fe48cbe`](https://github.com/teste-ui/teste-ui/commit/e1fe48cbe37324744cfe6184d785c093cda1125e)]:
  - @teste-ui/counter@1.2.7
  - @teste-ui/form-control@1.5.8
  - @teste-ui/hooks@1.8.4
  - @teste-ui/icon@2.0.5
  - @teste-ui/react-utils@1.2.3
  - @teste-ui/utils@1.10.4

## 1.4.3

### Patch Changes

- Updated dependencies
  [[`a870e6b94`](https://github.com/teste-ui/teste-ui/commit/a870e6b94367b7c6448d5c5c5aa8577e33e15e3a),
  [`c2bcba11c`](https://github.com/teste-ui/teste-ui/commit/c2bcba11ca60c175b35dff10a922e600c3fd065c)]:
  - @teste-ui/utils@1.10.3
  - @teste-ui/icon@2.0.4
  - @teste-ui/counter@1.2.6
  - @teste-ui/form-control@1.5.7
  - @teste-ui/hooks@1.8.3

## 1.4.2

### Patch Changes

- [#5536](https://github.com/teste-ui/teste-ui/pull/5536)
  [`a503acabe`](https://github.com/teste-ui/teste-ui/commit/a503acabefcaea86cb7f40a6305830f09d2d6083)
  Thanks [@TimKolberger](https://github.com/TimKolberger)! - Bumped patch
  version for every package to fix release process.

- Updated dependencies
  [[`a503acabe`](https://github.com/teste-ui/teste-ui/commit/a503acabefcaea86cb7f40a6305830f09d2d6083)]:
  - @teste-ui/counter@1.2.5
  - @teste-ui/form-control@1.5.6
  - @teste-ui/hooks@1.8.2
  - @teste-ui/icon@2.0.3
  - @teste-ui/react-utils@1.2.2
  - @teste-ui/utils@1.10.2

## 1.4.1

### Patch Changes

- Updated dependencies
  [[`24b4333d0`](https://github.com/teste-ui/teste-ui/commit/24b4333d008d149380785f87f4891e28584ff89b),
  [`f149c6c9a`](https://github.com/teste-ui/teste-ui/commit/f149c6c9aa04b8c0abebaa6ac8dc72c7f8ceed35)]:
  - @teste-ui/utils@1.10.1
  - @teste-ui/form-control@1.5.5
  - @teste-ui/counter@1.2.4
  - @teste-ui/hooks@1.8.1
  - @teste-ui/icon@2.0.2

## 1.4.0

### Minor Changes

- [#4982](https://github.com/teste-ui/teste-ui/pull/4982)
  [`7a136f5a8`](https://github.com/teste-ui/teste-ui/commit/7a136f5a8f81a2500995705875fb88accd147db1)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Add support for
  custom `format`, `parse` and character validation callbacks.

### Patch Changes

- [#4982](https://github.com/teste-ui/teste-ui/pull/4982)
  [`e4f5ee819`](https://github.com/teste-ui/teste-ui/commit/e4f5ee8195280316d11a27140affcdbb15aa356a)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Fix issue where
  number input doesn't leave the spinning state when inc/dec button is disabled
- Updated dependencies
  [[`cbad002e7`](https://github.com/teste-ui/teste-ui/commit/cbad002e7bdb439a0dfeada82ebfb5b529e145fe),
  [`6e259a1f7`](https://github.com/teste-ui/teste-ui/commit/6e259a1f7008a00f7be096e6b315cb9d62ef9748),
  [`1537a725f`](https://github.com/teste-ui/teste-ui/commit/1537a725fbc7f84979e374f546bda625fc685ac3)]:
  - @teste-ui/hooks@1.8.0
  - @teste-ui/utils@1.10.0
  - @teste-ui/form-control@1.5.4
  - @teste-ui/icon@2.0.1
  - @teste-ui/counter@1.2.3

## 1.3.3

### Patch Changes

- Updated dependencies
  [[`801008e27`](https://github.com/teste-ui/teste-ui/commit/801008e276812a6f94f2f5dc634bcbfe01d23026),
  [`8a0e5bdbc`](https://github.com/teste-ui/teste-ui/commit/8a0e5bdbccb7fa10dd4cd7b909ca60991fce81a0)]:
  - @teste-ui/hooks@1.7.2
  - @teste-ui/form-control@1.5.3
  - @teste-ui/counter@1.2.2

## 1.3.2

### Patch Changes

- Updated dependencies
  [[`17400aff6`](https://github.com/teste-ui/teste-ui/commit/17400aff62601c1b70dcc4e60af1fadf3915f3e0)]:
  - @teste-ui/icon@2.0.0
  - @teste-ui/form-control@1.5.2

## 1.3.1

### Patch Changes

- [#5075](https://github.com/teste-ui/teste-ui/pull/5075)
  [`b28142946`](https://github.com/teste-ui/teste-ui/commit/b281429462a099b7fd7f9352e837cd28d1a2da0e)
  Thanks [@cschroeter](https://github.com/cschroeter)! - Update babel config to
  transpile soruces for older browsers. This fixes issues with CRA and
  Storybook.
- Updated dependencies
  [[`b28142946`](https://github.com/teste-ui/teste-ui/commit/b281429462a099b7fd7f9352e837cd28d1a2da0e)]:
  - @teste-ui/counter@1.2.1
  - @teste-ui/form-control@1.5.1
  - @teste-ui/hooks@1.7.1
  - @teste-ui/icon@1.2.1
  - @teste-ui/react-utils@1.2.1
  - @teste-ui/utils@1.9.1

## 1.3.0

### Minor Changes

- [#4991](https://github.com/teste-ui/teste-ui/pull/4991)
  [`6095eaf9a`](https://github.com/teste-ui/teste-ui/commit/6095eaf9ac64a7e4d9f934bcb530bae2a92111a6)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Update build system
  we use from a custom babel cli setup to
  [preconstruct](https://preconstruct.tools/).

  The previous build system transpiles the code in `src` directory to `dist/esm`
  and `dist/cjs` keeping the same file structure. The new build system merges
  all files in `src` and transpiles to a single `esm` and `cjs` file.

  **Potential Breaking Change:** The side effect of this is that, if you
  imported any function, component or hook using the **undocumented** approach
  like
  `import { useOutsideClick } from "@teste-ui/hooks/dist/use-outside-click"`,
  you'll notice that the this doesn't work anymore.

  Here's how to resolve it:

  ```jsx live=false
  // Won't work 🎇
  import { useOutsideClick } from "@teste-ui/hooks/dist/use-outside-click"

  // Works ✅
  import { useOutsideClick } from "@teste-ui/hooks"
  ```

  If this affected your project, we recommend that you import hooks, functions
  or components the way it's shown in the documentation. This will help keep
  your project future-proof.

### Patch Changes

- Updated dependencies
  [[`6095eaf9a`](https://github.com/teste-ui/teste-ui/commit/6095eaf9ac64a7e4d9f934bcb530bae2a92111a6)]:
  - @teste-ui/counter@1.2.0
  - @teste-ui/form-control@1.5.0
  - @teste-ui/hooks@1.7.0
  - @teste-ui/icon@1.2.0
  - @teste-ui/react-utils@1.2.0
  - @teste-ui/utils@1.9.0

## 1.2.12

### Patch Changes

- Updated dependencies
  [[`5fe9b552b`](https://github.com/teste-ui/teste-ui/commit/5fe9b552bcae55935d1ab8ffde86b701075e6e6a),
  [`cd0893c56`](https://github.com/teste-ui/teste-ui/commit/cd0893c561d8c72b69db7c03d10adae752468a4f)]:
  - @teste-ui/hooks@1.6.2
  - @teste-ui/utils@1.8.4
  - @teste-ui/counter@1.1.11
  - @teste-ui/form-control@1.4.3
  - @teste-ui/icon@1.1.13

## 1.2.11

### Patch Changes

- Updated dependencies
  [[`c06d242c6`](https://github.com/teste-ui/teste-ui/commit/c06d242c672a10f93fab4dc2321143beae2db669),
  [`a9d1dc4ac`](https://github.com/teste-ui/teste-ui/commit/a9d1dc4ac874825f292d874ad4eadaf060fed436),
  [`5b4d8ef24`](https://github.com/teste-ui/teste-ui/commit/5b4d8ef24017dab1d69aeb5016b53366bdb3bcfd)]:
  - @teste-ui/utils@1.8.3
  - @teste-ui/hooks@1.6.1
  - @teste-ui/counter@1.1.10
  - @teste-ui/form-control@1.4.2
  - @teste-ui/icon@1.1.12

## 1.2.10

### Patch Changes

- Updated dependencies
  [[`28af4c030`](https://github.com/teste-ui/teste-ui/commit/28af4c0308e234871548c0857e946e33ff18a130)]:
  - @teste-ui/hooks@1.6.0
  - @teste-ui/form-control@1.4.1
  - @teste-ui/counter@1.1.9

## 1.2.9

### Patch Changes

- [`4c1071969`](https://github.com/teste-ui/teste-ui/commit/4c1071969a9b41a952b374f9990ac0bb89d24fa0)
  [#4437](https://github.com/teste-ui/teste-ui/pull/4437) Thanks
  [@Toxiapo](https://github.com/Toxiapo)! - Remove code that was added as a
  workaround for pre-releases of React concurrent mode.

- Updated dependencies
  [[`4c1071969`](https://github.com/teste-ui/teste-ui/commit/4c1071969a9b41a952b374f9990ac0bb89d24fa0),
  [`4981d9898`](https://github.com/teste-ui/teste-ui/commit/4981d9898641be3904367ef917560fef3b362720),
  [`ff4dc7c38`](https://github.com/teste-ui/teste-ui/commit/ff4dc7c38310367c0e89522db9e88ae069cb6c2b),
  [`43f66097b`](https://github.com/teste-ui/teste-ui/commit/43f66097b39f1c37a4627dd6ca8a85555f35b95c)]:
  - @teste-ui/form-control@1.4.0
  - @teste-ui/utils@1.8.2
  - @teste-ui/counter@1.1.8
  - @teste-ui/hooks@1.5.5
  - @teste-ui/icon@1.1.11

## 1.2.8

### Patch Changes

- Updated dependencies
  [[`4a1e4d93b`](https://github.com/teste-ui/teste-ui/commit/4a1e4d93b0a07df7266d40bb66039385b158d3d1)]:
  - @teste-ui/utils@1.8.1
  - @teste-ui/counter@1.1.7
  - @teste-ui/form-control@1.3.8
  - @teste-ui/hooks@1.5.4
  - @teste-ui/icon@1.1.10

## 1.2.7

### Patch Changes

- [`afb9b3cfa`](https://github.com/teste-ui/teste-ui/commit/afb9b3cfa87076ed8897b7edd4a9d9f1e1701721)
  [#4103](https://github.com/teste-ui/teste-ui/pull/4103) Thanks
  [@with-heart](https://github.com/with-heart)! - Update transitions to use
  theme tokens and remove outline transitions

- Updated dependencies
  [[`aa374ffcb`](https://github.com/teste-ui/teste-ui/commit/aa374ffcb4003efd88eb6a62e10723ea9fbfa3d0)]:
  - @teste-ui/hooks@1.5.3
  - @teste-ui/counter@1.1.6
  - @teste-ui/form-control@1.3.7

## 1.2.6

### Patch Changes

- [`4a7f8dab7`](https://github.com/teste-ui/teste-ui/commit/4a7f8dab7a9c4507bca05d9b9383de26447a7863)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Fix warning with
  scroll listener when `allowMouseWheel` is passed

- Updated dependencies
  [[`620f0b7d7`](https://github.com/teste-ui/teste-ui/commit/620f0b7d756ffb6bfc6ddf0459e96f774ffbb9be)]:
  - @teste-ui/form-control@1.3.6

## 1.2.5

### Patch Changes

- Updated dependencies
  [[`d0f50a46e`](https://github.com/teste-ui/teste-ui/commit/d0f50a46ea6c2bcf06d8cad8b9b3994fd934be01),
  [`b479ff22e`](https://github.com/teste-ui/teste-ui/commit/b479ff22ea10c1a1393224c37c36aa6ceabc4aab),
  [`07d15eab4`](https://github.com/teste-ui/teste-ui/commit/07d15eab480724f8fee1a09b7cecdf1e968d9ddd),
  [`d0f50a46e`](https://github.com/teste-ui/teste-ui/commit/d0f50a46ea6c2bcf06d8cad8b9b3994fd934be01)]:
  - @teste-ui/utils@1.8.0
  - @teste-ui/hooks@1.5.2
  - @teste-ui/counter@1.1.5
  - @teste-ui/form-control@1.3.5
  - @teste-ui/icon@1.1.9

## 1.2.4

### Patch Changes

- Updated dependencies
  [[`82f08867f`](https://github.com/teste-ui/teste-ui/commit/82f08867fa4825d647a3b9cc805220d9364f2f3f),
  [`e9ac4cc76`](https://github.com/teste-ui/teste-ui/commit/e9ac4cc7629cd79efc753b4e3353bacdad46cd7d)]:
  - @teste-ui/react-utils@1.1.2
  - @teste-ui/utils@1.7.0
  - @teste-ui/form-control@1.3.4
  - @teste-ui/hooks@1.5.1
  - @teste-ui/counter@1.1.4
  - @teste-ui/icon@1.1.8

## 1.2.3

### Patch Changes

- Updated dependencies
  [[`0974e547c`](https://github.com/teste-ui/teste-ui/commit/0974e547c29e4efc1ba4d1eb1507d0dad7d7a77a),
  [`59ea894a7`](https://github.com/teste-ui/teste-ui/commit/59ea894a7e03d16cd7a1b89d00816eafa9fab65d),
  [`384902e35`](https://github.com/teste-ui/teste-ui/commit/384902e35b186c8c8154b9569455c27f72ee0f6f)]:
  - @teste-ui/utils@1.6.0
  - @teste-ui/hooks@1.5.0
  - @teste-ui/counter@1.1.3
  - @teste-ui/form-control@1.3.3
  - @teste-ui/icon@1.1.7

## 1.2.2

### Patch Changes

- Updated dependencies
  [[`8b5eb9654`](https://github.com/teste-ui/teste-ui/commit/8b5eb9654affe562795d38a19f732f84732a949d),
  [`d1532f0b7`](https://github.com/teste-ui/teste-ui/commit/d1532f0b72c36d0609ee4510613d7c76f4f9c113)]:
  - @teste-ui/utils@1.5.2
  - @teste-ui/hooks@1.4.0
  - @teste-ui/counter@1.1.2
  - @teste-ui/form-control@1.3.2
  - @teste-ui/icon@1.1.6

## 1.2.1

### Patch Changes

- [`38706f731`](https://github.com/teste-ui/teste-ui/commit/38706f731372783bb05f01b5755a1753fab16f9e)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Replace
  `withFlushSync` with microtask callback to prevent ReactDOM warning.

- Updated dependencies
  [[`87a03b320`](https://github.com/teste-ui/teste-ui/commit/87a03b320b62e639ca4a891186f202cb839a8402),
  [`1a04a41bd`](https://github.com/teste-ui/teste-ui/commit/1a04a41bd2285069011a738fff422ba1a6fcce94),
  [`e481ba491`](https://github.com/teste-ui/teste-ui/commit/e481ba4914a7f163d93d4c22e2e457f1afb08721),
  [`d86a0f6b4`](https://github.com/teste-ui/teste-ui/commit/d86a0f6b4cfcaaf759559325c8fe8b9376f7548b)]:
  - @teste-ui/react-utils@1.1.1
  - @teste-ui/utils@1.5.1
  - @teste-ui/form-control@1.3.1
  - @teste-ui/hooks@1.3.1
  - @teste-ui/counter@1.1.1
  - @teste-ui/icon@1.1.5

## 1.2.0

### Minor Changes

- [`b724a9dd9`](https://github.com/teste-ui/teste-ui/commit/b724a9dd9429d02c0b2c7f7deac66d3553100bdc)
  [#3674](https://github.com/teste-ui/teste-ui/pull/3674) Thanks
  [@codebender828](https://github.com/codebender828)! - Extract all React based
  utilities and types into `@teste-ui/react-utils`

### Patch Changes

- [`fa9350eff`](https://github.com/teste-ui/teste-ui/commit/fa9350eff0b907abd87cac98f9d758baed260596)
  [#3689](https://github.com/teste-ui/teste-ui/pull/3689) Thanks
  [@segunadebayo](https://github.com/segunadebayo)! - ### useNumberInput

  - Forward `aria-*` props to the input element.
  - Fix issue where `onChange` was called on mount.
  - Fix issue where `onBlur` was called twice.
  - Memoize all callback props `onFocus`, `onBlur`, `getAriaValueText`
  - Refactor implicit `useFormControl` logic to be called from `NumberInput`
    instead.
  - Call `setFocused.on` with `ReactDOM.flushSync` to prevent concurrent mode
    issue where setting state in `onFocus` affects `onChange` event handler.

- Updated dependencies
  [[`623e782e8`](https://github.com/teste-ui/teste-ui/commit/623e782e80124297740a109e5c6c58cddc35b2eb),
  [`a58b724e9`](https://github.com/teste-ui/teste-ui/commit/a58b724e9c8656044f866b658f378662f2a44b46),
  [`f9b1a2a9b`](https://github.com/teste-ui/teste-ui/commit/f9b1a2a9b82abddbfeff510afd52cf127b765818),
  [`b724a9dd9`](https://github.com/teste-ui/teste-ui/commit/b724a9dd9429d02c0b2c7f7deac66d3553100bdc),
  [`3cc77ce60`](https://github.com/teste-ui/teste-ui/commit/3cc77ce60681650436f764e28b4b2234c5ca6408),
  [`fa9350eff`](https://github.com/teste-ui/teste-ui/commit/fa9350eff0b907abd87cac98f9d758baed260596),
  [`428593906`](https://github.com/teste-ui/teste-ui/commit/428593906ca3f3423a2e1bc25241169d1bf4de81)]:
  - @teste-ui/hooks@1.3.0
  - @teste-ui/utils@1.5.0
  - @teste-ui/counter@1.1.0
  - @teste-ui/form-control@1.3.0
  - @teste-ui/react-utils@1.1.0
  - @teste-ui/icon@1.1.4

## 1.1.3

### Patch Changes

- [`9c143bfe5`](https://github.com/teste-ui/teste-ui/commit/9c143bfe5bbf180929fabb0a1b4c18d40f7fd3fc)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - Update focus utils
  to use `nextTick` option since its default value is now false in the focus
  utils

  > `@internal` use only

* [`96139067d`](https://github.com/teste-ui/teste-ui/commit/96139067daa4b9a606b60c73f28a88ccd99d983b)
  [#3551](https://github.com/teste-ui/teste-ui/pull/3551) Thanks
  [@segunadebayo](https://github.com/segunadebayo)! - Add `root` to number input
  parts and update `right` to `insetEnd` for it to work in RTL.
* Updated dependencies
  [[`e748219f3`](https://github.com/teste-ui/teste-ui/commit/e748219f300f0c51b0eb304fce38b014d7bcbc86),
  [`9c143bfe5`](https://github.com/teste-ui/teste-ui/commit/9c143bfe5bbf180929fabb0a1b4c18d40f7fd3fc),
  [`91ef14839`](https://github.com/teste-ui/teste-ui/commit/91ef148397187010804eb8f30307d2ec94c32c5b)]:
  - @teste-ui/hooks@1.2.0
  - @teste-ui/utils@1.4.0
  - @teste-ui/form-control@1.2.3
  - @teste-ui/icon@1.1.3
  - @teste-ui/counter@1.0.9

## 1.1.2

### Patch Changes

- Updated dependencies
  [[`83ae62905`](https://github.com/teste-ui/teste-ui/commit/83ae62905935fdb3104380d6fd845159b00095fa),
  [`87cc23e14`](https://github.com/teste-ui/teste-ui/commit/87cc23e14814e02cbbfc9737c2356cef682ddd5d)]:
  - @teste-ui/hooks@1.1.5
  - @teste-ui/utils@1.3.0
  - @teste-ui/form-control@1.2.2
  - @teste-ui/icon@1.1.2
  - @teste-ui/counter@1.0.8

## 1.1.1

### Patch Changes

- Updated dependencies
  [[`ff4a36bca`](https://github.com/teste-ui/teste-ui/commit/ff4a36bca11cc177830f6f1da13700acd1e3a087),
  [`483687237`](https://github.com/teste-ui/teste-ui/commit/483687237f2c4fed05dc6a79693f307c601c1285),
  [`61962345c`](https://github.com/teste-ui/teste-ui/commit/61962345c5b1c862445c16c586e304b28c376c9a)]:
  - @teste-ui/utils@1.2.0
  - @teste-ui/form-control@1.2.1
  - @teste-ui/icon@1.1.1
  - @teste-ui/counter@1.0.7
  - @teste-ui/hooks@1.1.4

## 1.1.0

### Minor Changes

- [`90c7a4fbf`](https://github.com/teste-ui/teste-ui/commit/90c7a4fbfde69c01395ffe2876d7348dd72ea65a)
  [#3092](https://github.com/teste-ui/teste-ui/pull/3092) Thanks
  [@TimKolberger](https://github.com/TimKolberger)! - - Improved theme typing in
  order to provide a better autocomplete experience
  - Fixed a type issue where pseudo style props like `_hover` and `_active`
    didn't allow regular css properties

### Patch Changes

- [`ab788323d`](https://github.com/teste-ui/teste-ui/commit/ab788323dadc8637af80e80af7c450d5e7b9bc5a)
  [#3181](https://github.com/teste-ui/teste-ui/pull/3181) Thanks
  [@with-heart](https://github.com/with-heart)! - Resolved an issue where
  blurring `NumberInputField` did not clamp the value using the `precision` prop
- Updated dependencies
  [[`90c7a4fbf`](https://github.com/teste-ui/teste-ui/commit/90c7a4fbfde69c01395ffe2876d7348dd72ea65a),
  [`b572bceed`](https://github.com/teste-ui/teste-ui/commit/b572bceedd9fb0c41c65118f0d9ba672791932ca)]:
  - @teste-ui/form-control@1.2.0
  - @teste-ui/icon@1.1.0
  - @teste-ui/hooks@1.1.3
  - @teste-ui/counter@1.0.6

## 1.0.6

### Patch Changes

- Updated dependencies
  [[`002a4361`](https://github.com/teste-ui/teste-ui/commit/002a4361bd738bef49e021a2fff2b9b6a9af5815)]:
  - @teste-ui/hooks@1.1.2
  - @teste-ui/counter@1.0.5
  - @teste-ui/form-control@1.1.3

## 1.0.5

### Patch Changes

- Updated dependencies
  [[`02855588`](https://github.com/teste-ui/teste-ui/commit/02855588a4ffbc6573768052e53cc538361e91ee)]:
  - @teste-ui/hooks@1.1.1
  - @teste-ui/counter@1.0.4
  - @teste-ui/form-control@1.1.2

## 1.0.4

### Patch Changes

- Updated dependencies
  [[`4ae55fa3`](https://github.com/teste-ui/teste-ui/commit/4ae55fa3ff28eec1be9e1e5b6ab37d3c7f727df1),
  [`8b87406c`](https://github.com/teste-ui/teste-ui/commit/8b87406c3132586be3393117eef80d47ec82fc54),
  [`8b87406c`](https://github.com/teste-ui/teste-ui/commit/8b87406c3132586be3393117eef80d47ec82fc54),
  [`8b87406c`](https://github.com/teste-ui/teste-ui/commit/8b87406c3132586be3393117eef80d47ec82fc54)]:
  - @teste-ui/form-control@1.1.1
  - @teste-ui/hooks@1.1.0
  - @teste-ui/utils@1.1.0
  - @teste-ui/counter@1.0.3
  - @teste-ui/icon@1.0.3

## 1.0.3

### Patch Changes

- [`730a2da1`](https://github.com/teste-ui/teste-ui/commit/730a2da19b652614bc051b9f80313d211b22d1de)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - ## Pin Input

  ### 🐛 Bug Fix

  - Fix issue where copy-paste doesn't work for pin-input

  ## Number Input

  ### 🐛 Bug Fix

  - Fix issue where number input doesn't work when using with form libraries
    that use `ref` as entry point to setting initial values (e.g React hook
    form).

    We improved `useNumberInput` to sync the initial values in the `ref` passed
    to `NumberInputField` with the internal state.

  ## System

  ### 🚀 Feature

  Add support for custom `shouldForwardProp` function in the `chakra` factory
  function.

* [`d1bd91e1`](https://github.com/teste-ui/teste-ui/commit/d1bd91e141fba54c1094a7f60932a060fba4949a)
  Thanks [@segunadebayo](https://github.com/segunadebayo)! - ## 🐛 Bug Fix

  We've made it possible to override the `type` and `pattern` props passed to
  `NumberInputField` or `getInputProps`. Fixed [#2755]

  ```jsx
  <NumberInput>
    <NumberInputField type="number" pattern="-?[0-9]*" />
  </NumberInput>
  ```

* Updated dependencies
  [[`b8df0bf4`](https://github.com/teste-ui/teste-ui/commit/b8df0bf44a10512658826e5ef8e3067bc45fbc4a),
  [`123aaf59`](https://github.com/teste-ui/teste-ui/commit/123aaf59a60aaae269e2a305730a650a112c0975),
  [`e73878ee`](https://github.com/teste-ui/teste-ui/commit/e73878ee686c11d3f94ad6ac61b19ae9508d75a5),
  [`29c0e45e`](https://github.com/teste-ui/teste-ui/commit/29c0e45efb9f8f37dc2e81b56c08e2f1cedeb621)]:
  - @teste-ui/form-control@1.1.0
  - @teste-ui/utils@1.0.2
  - @teste-ui/icon@1.0.2
  - @teste-ui/counter@1.0.2
  - @teste-ui/hooks@1.0.2

## 1.0.2

### Patch Changes

- [`e1b095cd`](https://github.com/teste-ui/teste-ui/commit/e1b095cdb799bb3630d3cbb7891d8c7e929db0f4)
  [#2217](https://github.com/teste-ui/teste-ui/pull/2217) Thanks
  [@silltho](https://github.com/silltho)! - feat(number-input): uses props of
  wrapping form-control

  This change enables `NumberInput` to automatically derive various values from
  a surrounding `FormControl` if found, similar to `Input` and `Select`.

- Updated dependencies
  [[`ff10bcec`](https://github.com/teste-ui/teste-ui/commit/ff10bceca5774769766eef3a6812a22f387dd58d)]:
  - @teste-ui/form-control@1.0.2

## 1.0.1

### Patch Changes

- Updated dependencies
  [[`5c482483`](https://github.com/teste-ui/teste-ui/commit/5c482483ce24fc798540c9792a15e06772eae213),
  [`204ff7e3`](https://github.com/teste-ui/teste-ui/commit/204ff7e39dd37003786194704b36069ef94d56a6)]:
  - @teste-ui/utils@1.0.1
  - @teste-ui/hooks@1.0.1
  - @teste-ui/counter@1.0.1
  - @teste-ui/icon@1.0.1

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0 (2020-11-13)

**Note:** Version bump only for package @teste-ui/number-input

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.8 (2020-10-29)

### Bug Fixes

- **toast:** allow custom render in update
  ([eb8bff9](https://github.com/teste-ui/teste-ui/commit/eb8bff911e6ec9de0165ab1e8f5ca10d5e022459)),
  closes [#2362](https://github.com/teste-ui/teste-ui/issues/2362)

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.7 (2020-10-25)

**Note:** Version bump only for package @teste-ui/number-input

# 1.0.0-rc.6 (2020-10-25)

**Note:** Version bump only for package @teste-ui/number-input

# 1.0.0-rc.5 (2020-09-27)

**Note:** Version bump only for package @teste-ui/number-input

# 1.0.0-rc.4 (2020-09-25)

**Note:** Version bump only for package @teste-ui/number-input

# 1.0.0-rc.3 (2020-08-30)

**Note:** Version bump only for package @teste-ui/number-input

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-rc.2 (2020-08-09)

**Note:** Version bump only for package @teste-ui/number-input

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.1](https://github.com/teste-ui/teste-ui/compare/@teste-ui/number-input@1.0.0-rc.0...@teste-ui/number-input@1.0.0-rc.1) (2020-08-06)

### Bug Fixes

- stack key issue and yarn2 deps issue
  ([d6cb6b8](https://github.com/teste-ui/teste-ui/commit/d6cb6b8fd964729efdf41b1e29c888a3c101316c))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-rc.0](https://github.com/teste-ui/teste-ui/compare/@teste-ui/number-input@1.0.0-next.7...@teste-ui/number-input@1.0.0-rc.0) (2020-07-26)

**Note:** Version bump only for package @teste-ui/number-input

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.7](https://github.com/teste-ui/teste-ui/compare/@teste-ui/number-input@1.0.0-next.6...@teste-ui/number-input@1.0.0-next.7) (2020-07-26)

**Note:** Version bump only for package @teste-ui/number-input

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.6](https://github.com/teste-ui/teste-ui/compare/@teste-ui/number-input@1.0.0-next.5...@teste-ui/number-input@1.0.0-next.6) (2020-07-15)

**Note:** Version bump only for package @teste-ui/number-input

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [1.0.0-next.5](https://github.com/teste-ui/teste-ui/compare/@teste-ui/number-input@1.0.0-next.4...@teste-ui/number-input@1.0.0-next.5) (2020-07-15)

### Bug Fixes

- build issue
  ([1be70b2](https://github.com/teste-ui/teste-ui/commit/1be70b268e63ea06f9d8f209f0ead8d70fce290c))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.4 (2020-07-01)

### Bug Fixes

- [#891](https://github.com/teste-ui/teste-ui/issues/891)
  ([e107acc](https://github.com/teste-ui/teste-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- ts issue with sx prop
  ([d3b1340](https://github.com/teste-ui/teste-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- updates
  ([57db7fd](https://github.com/teste-ui/teste-ui/commit/57db7fd9e7b7c3c6465adfe3c91677c52841963e))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.3 (2020-06-28)

### Bug Fixes

- [#891](https://github.com/teste-ui/teste-ui/issues/891)
  ([e107acc](https://github.com/teste-ui/teste-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- ts issue with sx prop
  ([d3b1340](https://github.com/teste-ui/teste-ui/commit/d3b1340cb255937927b4d4c56ce218141570b951))
- updates
  ([57db7fd](https://github.com/teste-ui/teste-ui/commit/57db7fd9e7b7c3c6465adfe3c91677c52841963e))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# 1.0.0-next.2 (2020-06-21)

### Bug Fixes

- [#891](https://github.com/teste-ui/teste-ui/issues/891)
  ([e107acc](https://github.com/teste-ui/teste-ui/commit/e107acc8487898a965b0d695c1da71f46fc56d5e))
- updates
  ([57db7fd](https://github.com/teste-ui/teste-ui/commit/57db7fd9e7b7c3c6465adfe3c91677c52841963e))
